SFML 3.0.1
Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
sf::Window Class Reference
Window module

Window that serves as a target for OpenGL rendering. More...

`#include <SFML/Window/Window.hpp>`

Inheritance diagram for sf::Window:

## Public Member Functions
| Window ()
| Default constructor.
| Window (VideoMode mode, const String &title, std::uint32_t style=Style::Default, State state=State::Windowed, const ContextSettings &settings={})
| Construct a new window.
| Window (VideoMode mode, const String &title, State state, const ContextSettings &settings={})
| Construct a new window.
| Window (WindowHandle handle, const ContextSettings &settings={})
| Construct the window from an existing control.
| ~Window () override
| Destructor.
| Window (const Window &)=delete
| Deleted copy constructor.
Window & | operator= (const Window &)=delete
| Deleted copy assignment.
| Window (Window &&) noexcept
| Move constructor.
Window & | operator= (Window &&) noexcept
| Move assignment.
void | create (VideoMode mode, const String &title, std::uint32_t style=Style::Default, State state=State::Windowed) override
| Create (or recreate) the window.
virtual void | create (VideoMode mode, const String &title, std::uint32_t style, State state, const ContextSettings &settings)
| Create (or recreate) the window.
void | create (VideoMode mode, const String &title, State state) override
| Create (or recreate) the window.
virtual void | create (VideoMode mode, const String &title, State state, const ContextSettings &settings)
| Create (or recreate) the window.
void | create (WindowHandle handle) override
| Create (or recreate) the window from an existing control.
virtual void | create (WindowHandle handle, const ContextSettings &settings)
| Create (or recreate) the window from an existing control.
void | close () override
| Close the window and destroy all the attached resources.
const ContextSettings & | getSettings () const
| Get the settings of the OpenGL context of the window.
void | setVerticalSyncEnabled (bool enabled)
| Enable or disable vertical synchronization.
void | setFramerateLimit (unsigned int limit)
| Limit the framerate to a maximum fixed frequency.
bool | setActive (bool active=true) const
| Activate or deactivate the window as the current target for OpenGL rendering.
void | display ()
| Display on screen what has been rendered to the window so far.
bool | isOpen () const
| Tell whether or not the window is open.
std::optional< Event > | pollEvent ()
| Pop the next event from the front of the FIFO event queue, if any, and return it.
std::optional< Event > | waitEvent (Time timeout=Time::Zero)
| Wait for an event and return it.
template<typename... Handlers>
void | handleEvents (Handlers &&... handlers)
| Handle all pending events.
Vector2i | getPosition () const
| Get the position of the window.
void | setPosition (Vector2i position)
| Change the position of the window on screen.
Vector2u | getSize () const
| Get the size of the rendering region of the window.
void | setSize (Vector2u size)
| Change the size of the rendering region of the window.
void | setMinimumSize (const std::optional< Vector2u > &minimumSize)
| Set the minimum window rendering region size.
void | setMaximumSize (const std::optional< Vector2u > &maximumSize)
| Set the maximum window rendering region size.
void | setTitle (const String &title)
| Change the title of the window.
void | setIcon (Vector2u size, const std::uint8_t *pixels)
| Change the window's icon.
void | setVisible (bool visible)
| Show or hide the window.
void | setMouseCursorVisible (bool visible)
| Show or hide the mouse cursor.
void | setMouseCursorGrabbed (bool grabbed)
| Grab or release the mouse cursor.
void | setMouseCursor (const Cursor &cursor)
| Set the displayed cursor to a native system cursor.
void | setKeyRepeatEnabled (bool enabled)
| Enable or disable automatic key-repeat.
void | setJoystickThreshold (float threshold)
| Change the joystick threshold.
void | requestFocus ()
| Request the current window to be made the active foreground window.
bool | hasFocus () const
| Check whether the window has the input focus.
WindowHandle | getNativeHandle () const
| Get the OS-specific handle of the window.
bool | createVulkanSurface (const VkInstance &instance, VkSurfaceKHR &surface, const VkAllocationCallbacks *allocator=nullptr)
| Create a Vulkan rendering surface.

## Protected Member Functions
virtual void | onCreate ()
| Function called after the window has been created.
virtual void | onResize ()
| Function called after the window has been resized.

## Detailed Description

Window that serves as a target for OpenGL rendering.

sf::Window is the main class of the Window module.

It defines an OS window that is able to receive an OpenGL rendering.

A sf::Window can create its own new window, or be embedded into an already existing control using the create(handle) function. This can be useful for embedding an OpenGL rendering area into a view which is part of a bigger GUI with existing windows, controls, etc. It can also serve as embedding an OpenGL rendering area into a window created by another (probably richer) GUI library like Qt or wxWidgets.

The sf::Window class provides a simple interface for manipulating the window: move, resize, show/hide, control mouse cursor, etc. It also provides event handling through its pollEvent() and waitEvent() functions.

Note that OpenGL experts can pass their own parameters (anti-aliasing level, bits for the depth and stencil buffers, etc.) to the OpenGL context attached to the window, with the sf::ContextSettings structure which is passed as an optional argument when creating the window.

On dual-graphics systems consisting of a low-power integrated GPU and a powerful discrete GPU, the driver picks which GPU will run an SFML application. In order to inform the driver that an SFML application can benefit from being run on the more powerful discrete GPU, #SFML_DEFINE_DISCRETE_GPU_PREFERENCE can be placed in a source file that is compiled and linked into the final application. The macro should be placed outside of any scopes in the global namespace.

Usage example:

// Declare and create a new window
sf::Window window(sf::VideoMode({800, 600}), "SFML window");
// Limit the framerate to 60 frames per second (this step is optional)
window.setFramerateLimit(60);
// The main loop - ends as soon as the window is closed
while (window.isOpen())
{
// Event processing
while (const std::optional event = window.pollEvent())
{
// Request for closing the window
if (event->is<sf::Event::Closed>())
window.close();
}
// Activate the window for OpenGL rendering
window.setActive();
// OpenGL drawing commands go here...
// End the current frame and display its contents on screen
window.display();
}
sf::VideoMode
VideoMode defines a video mode (size, bpp)
Definition VideoMode.hpp:44
sf::WindowBase::pollEvent
std::optional< Event > pollEvent()
Pop the next event from the front of the FIFO event queue, if any, and return it.
sf::WindowBase::isOpen
bool isOpen() const
Tell whether or not the window is open.
sf::Window
Window that serves as a target for OpenGL rendering.
Definition Window/Window.hpp:56
sf::Window::setActive
bool setActive(bool active=true) const
Activate or deactivate the window as the current target for OpenGL rendering.
sf::Window::close
void close() override
Close the window and destroy all the attached resources.
sf::Window::display
void display()
Display on screen what has been rendered to the window so far.
sf::Window::setFramerateLimit
void setFramerateLimit(unsigned int limit)
Limit the framerate to a maximum fixed frequency.
sf::Event::Closed
Closed event subtype.
Definition Event.hpp:55

Definition at line 55 of file Window/Window.hpp.

## Constructor & Destructor Documentation

## ◆ Window() [1/6]

sf::Window::Window | ( |  | ) |

Default constructor.

This constructor doesn't actually create the window, use the other constructors or call create() to do so.

## ◆ Window() [2/6]

sf::Window::Window | ( | VideoMode | mode,
|  | const String & | title,
|  | std::uint32_t | style = Style::Default,
|  | State | state = State::Windowed,
|  | const ContextSettings & | settings = {} )

Construct a new window.

This constructor creates the window with the size and pixel depth defined in mode. An optional style can be passed to customize the look and behavior of the window (borders, title bar, resizable, closable, ...). An optional state can be provided. If state is State::Fullscreen, then mode must be a valid video mode.

The last parameter is an optional structure specifying advanced OpenGL context settings such as anti-aliasing, depth-buffer bits, etc.

Parameters

  mode | Video mode to use (defines the width, height and depth of the rendering area of the window)
  title | Title of the window
  style | Window style, a bitwise OR combination of sf::Style enumerators
  state | Window state
  settings | Additional settings for the underlying OpenGL context

## ◆ Window() [3/6]

sf::Window::Window | ( | VideoMode | mode,
|  | const String & | title,
|  | State | state,
|  | const ContextSettings & | settings = {} )

Construct a new window.

This constructor creates the window with the size and pixel depth defined in mode. If state is State::Fullscreen, then mode must be a valid video mode.

The last parameter is an optional structure specifying advanced OpenGL context settings such as anti-aliasing, depth-buffer bits, etc.

Parameters

  mode | Video mode to use (defines the width, height and depth of the rendering area of the window)
  title | Title of the window
  state | Window state
  settings | Additional settings for the underlying OpenGL context

## ◆ Window() [4/6]

sf::Window::Window | ( | WindowHandle | handle,
|  | const ContextSettings & | settings = {} )
| explicit

Construct the window from an existing control.

Use this constructor if you want to create an OpenGL rendering area into an already existing control.

The second parameter is an optional structure specifying advanced OpenGL context settings such as anti-aliasing, depth-buffer bits, etc.

Parameters

  handle | Platform-specific handle of the control
  settings | Additional settings for the underlying OpenGL context

## ◆ ~Window()

sf::Window::~Window | ( |  | ) |
| override

Destructor.

Closes the window and frees all the resources attached to it.

## ◆ Window() [5/6]

sf::Window::Window | ( | const Window & |  | ) |
| delete

Deleted copy constructor.

## ◆ Window() [6/6]

sf::Window::Window | ( | Window && |  | ) |
| noexcept

Move constructor.

## Member Function Documentation

## ◆ close()

void sf::Window::close | ( |  | ) |
| override virtual

Close the window and destroy all the attached resources.

After calling this function, the sf::Window instance remains valid and you can call create() to recreate the window. All other functions such as pollEvent() or display() will still work (i.e. you don't have to test isOpen() every time), and will have no effect on closed windows.

Reimplemented from sf::WindowBase.

## ◆ create() [1/6]

void sf::Window::create | ( | VideoMode | mode,
|  | const String & | title,
|  | State | state )
| override virtual

Create (or recreate) the window.

If the window was already created, it closes it first. If state is State::Fullscreen, then mode must be a valid video mode.

Parameters

  mode | Video mode to use (defines the width, height and depth of the rendering area of the window)
  title | Title of the window
  state | Window state

Reimplemented from sf::WindowBase.

## ◆ create() [2/6]

virtual void sf::Window::create | ( | VideoMode | mode,
|  | const String & | title,
|  | State | state,
|  | const ContextSettings & | settings )
| virtual

Create (or recreate) the window.

If the window was already created, it closes it first. If state is State::Fullscreen, then mode must be a valid video mode.

The last parameter is a structure specifying advanced OpenGL context settings such as anti-aliasing, depth-buffer bits, etc.

Parameters

  mode | Video mode to use (defines the width, height and depth of the rendering area of the window)
  title | Title of the window
  state | Window state
  settings | Additional settings for the underlying OpenGL context

## ◆ create() [3/6]

virtual void sf::Window::create | ( | VideoMode | mode,
|  | const String & | title,
|  | std::uint32_t | style,
|  | State | state,
|  | const ContextSettings & | settings )
| virtual

Create (or recreate) the window.

If the window was already created, it closes it first. If state is State::Fullscreen, then mode must be a valid video mode.

The last parameter is a structure specifying advanced OpenGL context settings such as anti-aliasing, depth-buffer bits, etc.

Parameters

  mode | Video mode to use (defines the width, height and depth of the rendering area of the window)
  title | Title of the window
  style | Window style, a bitwise OR combination of sf::Style enumerators
  state | Window state
  settings | Additional settings for the underlying OpenGL context

## ◆ create() [4/6]

void sf::Window::create | ( | VideoMode | mode,
|  | const String & | title,
|  | std::uint32_t | style = Style::Default,
|  | State | state = State::Windowed )
| override virtual

Create (or recreate) the window.

If the window was already created, it closes it first. If state is State::Fullscreen, then mode must be a valid video mode.

Parameters

  mode | Video mode to use (defines the width, height and depth of the rendering area of the window)
  title | Title of the window
  style | Window style, a bitwise OR combination of sf::Style enumerators
  state | Window state

Reimplemented from sf::WindowBase.

## ◆ create() [5/6]

void sf::Window::create | ( | WindowHandle | handle | ) |
| override virtual

Create (or recreate) the window from an existing control.

Use this function if you want to create an OpenGL rendering area into an already existing control. If the window was already created, it closes it first.

Parameters

  handle | Platform-specific handle of the control

Reimplemented from sf::WindowBase.

## ◆ create() [6/6]

virtual void sf::Window::create | ( | WindowHandle | handle,
|  | const ContextSettings & | settings )
| virtual

Create (or recreate) the window from an existing control.

Use this function if you want to create an OpenGL rendering area into an already existing control. If the window was already created, it closes it first.

The second parameter is an optional structure specifying advanced OpenGL context settings such as anti-aliasing, depth-buffer bits, etc.

Parameters

  handle | Platform-specific handle of the control
  settings | Additional settings for the underlying OpenGL context

## ◆ createVulkanSurface()

bool sf::WindowBase::createVulkanSurface | ( | const VkInstance & | instance,
|  | VkSurfaceKHR & | surface,
|  | const VkAllocationCallbacks * | allocator = nullptr )
| nodiscard inherited

Create a Vulkan rendering surface.

Parameters

  instance | Vulkan instance
  surface | Created surface
  allocator | Allocator to use

Returns
  true if surface creation was successful, false otherwise

## ◆ display()

void sf::Window::display | ( |  | ) |

Display on screen what has been rendered to the window so far.

This function is typically called after all OpenGL rendering has been done for the current frame, in order to show it on screen.

## ◆ getNativeHandle()

WindowHandle sf::WindowBase::getNativeHandle | ( |  | ) | const
| nodiscard inherited

Get the OS-specific handle of the window.

The type of the returned handle is sf::WindowHandle, which is a type alias to the handle type defined by the OS. You shouldn't need to use this function, unless you have very specific stuff to implement that SFML doesn't support, or implement a temporary workaround until a bug is fixed.

Returns
  System handle of the window

## ◆ getPosition()

Vector2i sf::WindowBase::getPosition | ( |  | ) | const
| nodiscard inherited

Get the position of the window.

Returns
  Position of the window, in pixels

See also
  setPosition

## ◆ getSettings()

const ContextSettings & sf::Window::getSettings | ( |  | ) | const
| nodiscard

Get the settings of the OpenGL context of the window.

Note that these settings may be different from what was passed to the constructor or the create() function, if one or more settings were not supported. In this case, SFML chose the closest match.

Returns
  Structure containing the OpenGL context settings

## ◆ getSize()

Vector2u sf::WindowBase::getSize | ( |  | ) | const
| nodiscard inherited

Get the size of the rendering region of the window.

The size doesn't include the titlebar and borders of the window.

Returns
  Size in pixels

See also
  setSize

## ◆ handleEvents()

template<typename... Handlers>

void sf::WindowBase::handleEvents | ( | Handlers &&... | handlers | ) |
| inherited

Handle all pending events.

This function is not blocking: if there's no pending event then it will return without calling any of the handlers.

This function can take a variadic list of event handlers that each take a concrete event type as a single parameter. The event handlers can be any kind of callable object that has an operator() defined for a specific event type. Additionally a generic callable can also be provided that will be invoked for every event type. If both types of callables are provided, the callables taking concrete event types will be preferred over the generic callable by overload resolution. Generic callables can be used to customize handler dispatching based on the deduced type of the event and other information available at compile time.

Examples of callables:

- Lambda expressions: [&](const sf::Event::KeyPressed) { ... }
- Free functions: void handler(const sf::Event::KeyPressed&) { ... }

// Only provide handlers for concrete event types
window.handleEvents(
[&](const sf::Event::Closed&) { /* handle event */ },
[&](const sf::Event::KeyPressed& keyPress) { /* handle event */ }
);
sf::Event::KeyPressed
Key pressed event subtype.
Definition Event.hpp:97
// Provide a generic event handler
window.handleEvents(
[&](const auto& event)
{
if constexpr (std::is_same_v<std::decay_t<decltype(event)>, sf::Event::Closed>)
{
// Handle Closed
handleClosed();
}
else if constexpr (std::is_same_v<std::decay_t<decltype(event)>, sf::Event::KeyPressed>)
{
// Handle KeyPressed
handleKeyPressed(event);
}
else
{
// Handle non-KeyPressed
handleOtherEvents(event);
}
}
);
// Provide handlers for concrete types and fall back to generic handler
window.handleEvents(
[&](const sf::Event::Closed&) { /* handle event */ },
[&](const sf::Event::KeyPressed& keyPress) { /* handle event */ },
[&](const auto& event) { /* handle all other events */ }
);

Calling member functions is supported through lambda expressions.

// Provide a generic event handler
window.handleEvents(
[this](const auto& event) { handle(event); }
);

Parameters

  handlers | A variadic list of callables that take a specific event as their only parameter

See also
  waitEvent, pollEvent

## ◆ hasFocus()

bool sf::WindowBase::hasFocus | ( |  | ) | const
| nodiscard inherited

Check whether the window has the input focus.

At any given time, only one window may have the input focus to receive input events such as keystrokes or most mouse events.

Returns
  true if window has focus, false otherwise

See also
  requestFocus

## ◆ isOpen()

bool sf::WindowBase::isOpen | ( |  | ) | const
| nodiscard inherited

Tell whether or not the window is open.

This function returns whether or not the window exists. Note that a hidden window (setVisible(false)) is open (therefore this function would return true).

Returns
  true if the window is open, false if it has been closed

## ◆ onCreate()

virtual void sf::WindowBase::onCreate | ( |  | ) |
| protected virtual inherited

Function called after the window has been created.

This function is called so that derived classes can perform their own specific initialization as soon as the window is created.

Reimplemented in sf::RenderWindow.

## ◆ onResize()

virtual void sf::WindowBase::onResize | ( |  | ) |
| protected virtual inherited

Function called after the window has been resized.

This function is called so that derived classes can perform custom actions when the size of the window changes.

Reimplemented in sf::RenderWindow.

## ◆ operator=() [1/2]

Window & sf::Window::operator= | ( | const Window & |  | ) |
| delete

Deleted copy assignment.

## ◆ operator=() [2/2]

Window & sf::Window::operator= | ( | Window && |  | ) |
| noexcept

Move assignment.

## ◆ pollEvent()

std::optional< Event > sf::WindowBase::pollEvent | ( |  | ) |
| nodiscard inherited

Pop the next event from the front of the FIFO event queue, if any, and return it.

This function is not blocking: if there's no pending event then it will return a std::nullopt. Note that more than one event may be present in the event queue, thus you should always call this function in a loop to make sure that you process every pending event.

while (const std::optional event = window.pollEvent())
{
// process event...
}

Returns
  The event, otherwise std::nullopt if no events are pending

See also
  waitEvent, handleEvents

## ◆ requestFocus()

void sf::WindowBase::requestFocus | ( |  | ) |
| inherited

Request the current window to be made the active foreground window.

At any given time, only one window may have the input focus to receive input events such as keystrokes or mouse events. If a window requests focus, it only hints to the operating system, that it would like to be focused. The operating system is free to deny the request. This is not to be confused with setActive().

See also
  hasFocus

## ◆ setActive()

bool sf::Window::setActive | ( | bool | active = true | ) | const
| nodiscard

Activate or deactivate the window as the current target for OpenGL rendering.

A window is active only on the current thread, if you want to make it active on another thread you have to deactivate it on the previous thread first if it was active. Only one window can be active on a thread at a time, thus the window previously active (if any) automatically gets deactivated. This is not to be confused with requestFocus().

Parameters

  active | true to activate, false to deactivate

Returns
  true if operation was successful, false otherwise

## ◆ setFramerateLimit()

void sf::Window::setFramerateLimit | ( | unsigned int | limit | ) |

Limit the framerate to a maximum fixed frequency.

If a limit is set, the window will use a small delay after each call to display() to ensure that the current frame lasted long enough to match the framerate limit. SFML will try to match the given limit as much as it can, but since it internally uses sf::sleep, whose precision depends on the underlying OS, the results may be a little imprecise as well (for example, you can get 65 FPS when requesting 60).

Parameters

  limit | Framerate limit, in frames per seconds (use 0 to disable limit)

## ◆ setIcon()

void sf::WindowBase::setIcon | ( | Vector2u | size,
|  | const std::uint8_t * | pixels )
| inherited

Change the window's icon.

pixels must be an array of size pixels in 32-bits RGBA format.

The OS default icon is used by default.

Parameters

  size | Icon's width and height, in pixels
  pixels | Pointer to the array of pixels in memory. The pixels are copied, so you need not keep the source alive after calling this function.

See also
  setTitle

## ◆ setJoystickThreshold()

void sf::WindowBase::setJoystickThreshold | ( | float | threshold | ) |
| inherited

Change the joystick threshold.

The joystick threshold is the value below which no JoystickMoved event will be generated.

The threshold value is 0.1 by default.

Parameters

  threshold | New threshold, in the range [0, 100]

## ◆ setKeyRepeatEnabled()

void sf::WindowBase::setKeyRepeatEnabled | ( | bool | enabled | ) |
| inherited

Enable or disable automatic key-repeat.

If key repeat is enabled, you will receive repeated KeyPressed events while keeping a key pressed. If it is disabled, you will only get a single event when the key is pressed.

Key repeat is enabled by default.

Parameters

  enabled | true to enable, false to disable

## ◆ setMaximumSize()

void sf::WindowBase::setMaximumSize | ( | const std::optional< Vector2u > & | maximumSize | ) |
| inherited

Set the maximum window rendering region size.

Pass std::nullopt to unset the maximum size

Parameters

  maximumSize | New maximum size, in pixels

## ◆ setMinimumSize()

void sf::WindowBase::setMinimumSize | ( | const std::optional< Vector2u > & | minimumSize | ) |
| inherited

Set the minimum window rendering region size.

Pass std::nullopt to unset the minimum size

Parameters

  minimumSize | New minimum size, in pixels

## ◆ setMouseCursor()

void sf::WindowBase::setMouseCursor | ( | const Cursor & | cursor | ) |
| inherited

Set the displayed cursor to a native system cursor.

Upon window creation, the arrow cursor is used by default.

Warning
  The cursor must not be destroyed while in use by the window.
  Features related to Cursor are not supported on iOS and Android.

Parameters

  cursor | Native system cursor type to display

See also
  sf::Cursor::createFromSystem, sf::Cursor::createFromPixels

## ◆ setMouseCursorGrabbed()

void sf::WindowBase::setMouseCursorGrabbed | ( | bool | grabbed | ) |
| inherited

Grab or release the mouse cursor.

If set, grabs the mouse cursor inside this window's client area so it may no longer be moved outside its bounds. Note that grabbing is only active while the window has focus.

Parameters

  grabbed | true to enable, false to disable

## ◆ setMouseCursorVisible()

void sf::WindowBase::setMouseCursorVisible | ( | bool | visible | ) |
| inherited

Show or hide the mouse cursor.

The mouse cursor is visible by default.

Warning
  On Windows, this function needs to be called from the thread that created the window.

Parameters

  visible | true to show the mouse cursor, false to hide it

## ◆ setPosition()

void sf::WindowBase::setPosition | ( | Vector2i | position | ) |
| inherited

Change the position of the window on screen.

This function only works for top-level windows (i.e. it will be ignored for windows created from the handle of a child window/control).

Parameters

  position | New position, in pixels

See also
  getPosition

## ◆ setSize()

void sf::WindowBase::setSize | ( | Vector2u | size | ) |
| inherited

Change the size of the rendering region of the window.

Parameters

  size | New size, in pixels

See also
  getSize

## ◆ setTitle()

void sf::WindowBase::setTitle | ( | const String & | title | ) |
| inherited

Change the title of the window.

Parameters

  title | New title

See also
  setIcon

## ◆ setVerticalSyncEnabled()

void sf::Window::setVerticalSyncEnabled | ( | bool | enabled | ) |

Enable or disable vertical synchronization.

Activating vertical synchronization will limit the number of frames displayed to the refresh rate of the monitor. This can avoid some visual artifacts, and limit the framerate to a good value (but not constant across different computers).

Vertical synchronization is disabled by default.

Parameters

  enabled | true to enable v-sync, false to deactivate it

## ◆ setVisible()

void sf::WindowBase::setVisible | ( | bool | visible | ) |
| inherited

Show or hide the window.

The window is shown by default.

Parameters

  visible | true to show the window, false to hide it

## ◆ waitEvent()

std::optional< Event > sf::WindowBase::waitEvent | ( | Time | timeout = Time::Zero | ) |
| nodiscard inherited

Wait for an event and return it.

This function is blocking: if there's no pending event then it will wait until an event is received or until the provided timeout elapses. Only if an error or a timeout occurs the returned event will be std::nullopt. This function is typically used when you have a thread that is dedicated to events handling: you want to make this thread sleep as long as no new event is received.

while (const std::optional event = window.waitEvent())
{
// process event...
}

Parameters

  timeout | Maximum time to wait (Time::Zero for infinite)

Returns
  The event, otherwise std::nullopt on timeout or if window was closed

See also
  pollEvent, handleEvents

The documentation for this class was generated from the following file:

- Window/Window.hpp